Page MenuHomeMiraheze

LINUX: Dirty COW (CVE-2016-5195)
Closed, ResolvedPublic

Description

See links below. Priority 1 is positively identifying all of our servers (and they should be) are affected. Priority 2 is then resolution.

This requires dist-upgrades (usually seen as bad magic and dangerous by people) and reboots. This CVE has already been public for a week and has had wide spread media coverage (in the UK at least). If people didn't know it exists, then they do now and that includes cyber thieves whom are expected to be the number 1 bad faith user.

https://dirtycow.ninja

https://www.digitalocean.com/community/tutorials/how-to-protect-your-server-against-the-dirty-cow-linux-vulnerability

Event Timeline

John created this task.Oct 26 2016, 20:09
John raised the priority of this task from High to Unbreak Now!.Oct 26 2016, 20:09
John added a project: Operations.

bacula1
3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt25-2+deb8u3 (2016-07-02)
cp1
2.6.32-042stab094.8 #1 SMP Tue Dec 16 20:36:56 MSK 2014
cp2
2.6.32-042stab090.5 #1 SMP Sat Jun 21 00:15:09 MSK 2014
db2
2.6.32-042stab094.8 #1 SMP Tue Dec 16 20:36:56 MSK 2014
misc1
2.6.32-042stab104.1 #1 SMP Thu Jan 29 12:58:41 MSK 2015
misc2
2.6.32-042stab112.15 #1 SMP Tue Oct 20 17:22:56 MSK 2015
mw1
2.6.32-042stab104.1 #1 SMP Thu Jan 29 12:58:41 MSK 2015
mw2
2.6.32-042stab112.15 #1 SMP Tue Oct 20 17:22:56 MSK 2015
parsoid1
2.6.32-042stab108.8 #1 SMP Wed Jul 22 17:23:23 MSK 2015
ns1
2.6.32-042stab104.1 #1 SMP Thu Jan 29 12:58:41 MSK 2015

labster added a subscriber: labster.Oct 26 2016, 21:02
Southparkfan closed this task as Resolved.Oct 26 2016, 21:30
Southparkfan claimed this task.

RamNode (OpenVZ): KernelCare patch was applied within minutes (a few days ago) according to staff.
Backupsy (KVM): since we have a KVM server there, I had to upgrade it; apt-get update, apt-get dist-upgrade, reboot --reboot.

Bacula1 now has:
3.16.0-4-amd64 #1 SMP Debian 3.16.36-1+deb8u2 (2016-10-19)

Bacula1 was fixed very late, but that's out-of-scope in this ticket.

John changed the visibility from "Custom Policy" to "Public (No Login Required)".May 3 2017, 15:58
John removed a project: Security.